# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name HSH

Name:           ghc-%{pkg_name}
Version:        2.1.2
Release:        1%{?dist}
Summary:        Library to mix shell scripting with Haskell programs

License:        LGPLv2+
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-MissingH-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hslogger-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-regex-base-devel
BuildRequires:  ghc-regex-compat-devel
BuildRequires:  ghc-regex-posix-devel
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps

%description
HSH is designed to let you mix and match shell expressions with Haskell
programs. With HSH, it is possible to easily run shell commands, capture their
output or provide their input, and pipe them to and from other shell commands
and arbitrary Haskell functions at will.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc COPYING COPYRIGHT


%files devel -f %{name}-devel.files


%changelog
* Mon Jan 19 2015 Jens Petersen <petersen@redhat.com> - 2.1.2-1
- update to 2.1.2

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 11 2013 Jens Petersen <petersen@redhat.com> - 2.1.0-1
- update to 2.1.0

* Tue Jun 11 2013 Jens Petersen <petersen@redhat.com> - 2.0.4-5
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Jens Petersen <petersen@redhat.com> - 2.0.4-3
- update with cabal-rpm
- correct license tag to LGPLv2+

* Fri Sep 07 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 2.0.4-2
- Updated summary

* Tue Aug 21 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 2.0.4-1
- spec file template generated by cabal2spec-0.25.5
